### Method

# Foundry FileSearchOptions set_required_patterns

since: 1.1

#### Declaration [src]

    void
    foundry_file_search_options_set_required_patterns (
      FoundryFileSearchOptions* self,
      const char* const* required_patterns
    )

#### Description [src]

Sets the required file patterns.

These patterns define which files must match to be included in the search. Files that do not match any of these patterns will be excluded from the search. The patterns use shell-style globbing (e.g. “.c”, “.h”).

Available since: 1.1

Sets property | `Foundry.FileSearchOptions:required-patterns`

#### Parameters

`required_patterns`

  Type: `const char* const*`

  Array of required file patterns.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.